package com.example.myapplication;

import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.Fragment;

import android.os.Bundle;
import android.view.View;

public class MainActivity extends AppCompatActivity
        implements  BlankFragment.OnFragmentInteractionListener,
        InfoFragment.OnFragmentInteractionListener

{
    InfoFragment info;
    BlankFragment blank;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        if(findViewById(R.id.placeholder)!= null){
            info = new InfoFragment();
            blank= new BlankFragment();
            getSupportFragmentManager().
                    beginTransaction().
                    add(R.id.placeholder,blank).commit();
        }
        else {
            blank = (BlankFragment) getSupportFragmentManager().findFragmentById(R.id.blank);
            info  = (InfoFragment)getSupportFragmentManager().findFragmentById(R.id.info);
        }
    }

    @Override
    public void doUpdate(String data) {
        if(findViewById(R.id.placeholder)!= null)
            getSupportFragmentManager()
                .beginTransaction().replace(R.id.placeholder,info).commit();

        info.updateOutput(data);
    }

    @Override
    public void doNotUpdate() {

    }

    @Override
    public void swapBack() {
        if(findViewById(R.id.placeholder)!= null)
            getSupportFragmentManager()
                    .beginTransaction().replace(R.id.placeholder,blank).commit();
    }
}
